summaryrefslogtreecommitdiffstats
path: root/samedir
diff options
context:
space:
mode:
Diffstat (limited to 'samedir')
-rwxr-xr-xsamedir10
1 files changed, 10 insertions, 0 deletions
diff --git a/samedir b/samedir
new file mode 100755
index 0000000..0a19707
--- /dev/null
+++ b/samedir
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+# Open a terminal window in the same directory as the currently active window.
+
+PID=$(xprop -id "$(xprop -root | xprop -root | sed -n "/_NET_ACTIVE_WINDOW/ s/^.*# // p")" | sed -n "/PID/ s/^.*= // p")
+PID="$(pstree -lpA "$PID")"
+PID="${PID##*(}"
+PID="${PID%)}"
+cd "$(readlink /proc/"$PID"/cwd)" || return 1
+"$TERMINAL"